Bug 1089841 - [GSS] (6.3.0) Fix order of totalIterator()
Summary: [GSS] (6.3.0) Fix order of totalIterator()
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: HornetQ
Version: 6.2.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: DR2
: EAP 6.3.0
Assignee: Clebert Suconic
QA Contact: Miroslav Novak
Russell Dickenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 1064596 1084639 1088601
TreeView+ depends on / blocked
 
Reported: 2014-04-22 04:37 UTC by Jimmy Wilson
Modified: 2014-08-06 14:40 UTC (History)
5 users (show)

(edit)
Inprevious releases of JBoss EAP 6, any management operations that listed messages would incorrectly list paged messages before previously sent messages.

Other possible out of order issues were also identified in cases after redeliveries. 

This issue was fixed by rectifying the order where the Iterator takes messages before sending them to management operations.
Clone Of: 1088601
(edit)
Last Closed: 2014-08-06 14:40:38 UTC


Attachments (Terms of Use)

Description Jimmy Wilson 2014-04-22 04:37:46 UTC
+++ This bug was initially created as a clone of Bug #1088601 +++

Comment 2 Kabir Khan 2014-07-01 14:26:55 UTC
Should be fixed by upgrade https://bugzilla.redhat.com/show_bug.cgi?id=1064596 for DR2

Comment 3 Miroslav Novak 2014-07-02 08:13:57 UTC
Verified using test QueueImplTest in EAP 6.3.0.ER7. Thanks!


Note You need to log in before you can comment on or make changes to this bug.